import request from '@/utils/request'

// 查询终结本次执行案件信息列表
export function listInformation(query) {
  return request({
    url: '/crmTerminationCaseInformation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询终结本次执行案件信息详细
export function getInformation(id) {
  return request({
    url: '/basicData/information/' + id,
    method: 'get'
  })
}

// 新增终结本次执行案件信息
export function addInformation(data) {
  return request({
    url: '/basicData/information',
    method: 'post',
    data: data
  })
}

// 修改终结本次执行案件信息
export function updateInformation(data) {
  return request({
    url: '/basicData/information',
    method: 'put',
    data: data
  })
}

// 删除终结本次执行案件信息
export function delInformation(id) {
  return request({
    url: '/crmTerminationCaseInformation/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
  console.log(ids);
  return request.post('/crmTerminationCaseInformation/delete',ids)
}

